% Copyright (c) 2011 Joris Degroote, Majid Hojjat, Electra Stavropoulou,
% Roland Wüchner, Kai-Uwe Bletzinger
%
% Licensed under the Non-Profit Open Software License version 3.0
% (NPOSL-3.0). You should have received a copy of the NPOSL-3.0 along with 
% this file. If not, see <http://www.opensource.org/licenses/NPOSL-3.0>
%
% Analyse the stability of the quasi-Newton and Gauss-Seidel coupling 
% iterations.

function Stability(m_e,s_e)
    algorithms={'QuasiNewton','QuasiNewton','GaussSeidel'};
    reuse=[0 3 0];
    for i=1:length(algorithms)
        for dt=[1.0e-1 1.0e-2 1.0e-3]
            for rho_f=[106.0 1060.0 10600.0]
                disp([algorithms{i} '(' num2str(reuse(i)) ')' ...
                    ', dt = ' num2str(dt) ...
                    ', rho_f = ' num2str(rho_f)]);
                try
                    [~,~]=Simulation(m_e,s_e,false,false,0.5,dt,rho_f, ...
                        algorithms{i},reuse(i));
                catch exception
                    disp(exception.message);
                end
            end
        end
    end
end