% Copyright (c) 2011 Joris Degroote, Majid Hojjat, Electra Stavropoulou,
% Roland Wüchner, Kai-Uwe Bletzinger
%
% Licensed under the Non-Profit Open Software License version 3.0
% (NPOSL-3.0). You should have received a copy of the NPOSL-3.0 along with 
% this file. If not, see <http://www.opensource.org/licenses/NPOSL-3.0>
%
% Test for locking.

function TestLocking()
    linewidth=2.0;
    fontsize=16;
        
    x=[50 100 200 400];
    y=zeros(size(x));
    names={0,0,0,0};
    styles={'k-','ko','kx','kv'};
    steps={1,3,5,7};
    handle=figure;
    hold('on');
    for i=1:length(names)
        m_e=x(i);
        s_e=zeros(m_e+1,1);
        [~,~,histnom]=Simulation(m_e,s_e,true,true,2);
        plot(histnom(1:steps{i}:end,1),histnom(1:steps{i}:end,2),styles{i},'LineWidth',linewidth);
        y(i)=histnom(50,2);
        names{i}=['m_e=' num2str(m_e)];
    end
    hold('off');
    set(gca,'FontSize',fontsize);
    xlabel('Time [s]','FontSize',fontsize);
    ylabel('Radius [m]','FontSize',fontsize);
    xlim([0 histnom(end,1)]);
    legend(names,'Location','SouthEast');
    print(handle,'-deps','-r2400 -zbuffer','Locking');
    close(handle);
    
    handle=figure;
    plot(x,y,'k-x','LineWidth',linewidth);
    set(gca,'FontSize',fontsize);
    xlabel('Number of segments [-]','FontSize',fontsize);
    ylabel('Radius [m]','FontSize',fontsize);
    print(handle,'-deps','-r2400 -zbuffer','LockingConvergence');
    close(handle);
end